/* 
 *   ccglue - cscope,ctags glue: Process ctags and cscope output to
 *        produce cross-reference table (for use with Vim CCTree plugin)
 *        and more ...
 *   Copyright (C) April, 2011,  Hari Rangarajan 
 *   Contact: hariranga@users.sourceforge.net

 *   "ccglue" is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.

 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.

 *   You should have received a copy of the GNU General Public License
 *   along with "ccglue".  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef CSCOPERDR_H
#define CSCOPERDR_H
#include "typedefs.h"
#include "sym_mgr.h"

struct cscope_db_rdr;
typedef struct cscope_db_rdr  cscope_db_rdr_t;

extern RC_t cscope_db_rdr_create (cscope_db_rdr_t **rdr);
extern void cscope_db_rdr_destroy (cscope_db_rdr_t *rdr);
extern void cscope_db_rdr_build_sym_table (cscope_db_rdr_t *rdr,
        sym_table_t *sym_table, uchar* line);
extern void cscope_db_rdr_build_xref (cscope_db_rdr_t *rdr,
        sym_table_t *sym_table, uchar* line);
typedef void (*cscope_db_line_process_func_t) (cscope_db_rdr_t *, 
        sym_table_t *, uchar*);

#endif

