/* 
 *   ccglue - cscope,ctags glue: Process ctags and cscope output to
 *        produce cross-reference table (for use with Vim CCTree plugin)
 *        and more ...
 *   Copyright (C) April, 2011,  Hari Rangarajan 
 *   Contact: hariranga@users.sourceforge.net

 *   "ccglue" is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.

 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.

 *   You should have received a copy of the GNU General Public License
 *   along with "ccglue".  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef DIGRAPH_H
#define DIGRAPH_H

#include "seqfile.h"

struct digraph_map;
typedef struct digraph_map digraph_map_t;

struct digraph_compress_map;
typedef struct digraph_compress_map digraph_compress_map_t;

extern digraph_map_t* digraph_get_letter_map();
extern int digraph_compress_string_with_map(uchar** uncmpstr, 
		uchar* cmpstr, int cmpstr_maxlen, digraph_compress_map_t* map);
extern void digraph_uncompress_string_with_map(uchar* cmpstr, 
						uchar* uncmpstr, digraph_map_t* map);
extern digraph_compress_map_t* digraph_get_numeric_map();

extern int digraph_compress_string_with_map_write_to_seqfile(uchar* uncmpstr, 
                    seq_file_t *seq_file, digraph_compress_map_t* map);

extern void digraph_uncompress_string_with_map_write_to_seqfile (uchar* cmpstr, 
        seq_file_t  *seq_file, digraph_map_t* map);
#endif

