/* 
 *   ccglue - cscope,ctags glue: Process ctags and cscope output to
 *        produce cross-reference table (for use with Vim CCTree plugin)
 *        and more ...
 *   Copyright (C) April, 2011,  Hari Rangarajan 
 *   Contact: hariranga@users.sourceforge.net

 *   "ccglue" is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.

 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.

 *   You should have received a copy of the GNU General Public License
 *   along with "ccglue".  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef SEQFILE_H
#define SEQFILE_H
#include "typedefs.h"
struct seq_file;

typedef struct seq_file seq_file_t;

extern int seq_file_reader_create(seq_file_t** seq_file, uchar* fname);
extern int seq_file_readline(seq_file_t* seq_file, uchar* line, int maxlen);
extern int seq_file_destroy(seq_file_t* seq_file);
extern int seq_file_write_buffer(seq_file_t* seq_file, uchar* buffer,
                                 size_t len);
extern int seq_file_write_string(seq_file_t* seq_file, uchar* str);
extern int seq_file_write_char(seq_file_t* seq_file, uchar c);
extern int seq_file_writer_create (seq_file_t** seq_file, uchar* fname);

#endif

