/* 
 *   ccglue - cscope,ctags glue: Process ctags and cscope output to
 *        produce cross-reference table (for use with Vim CCTree plugin)
 *        and more ...
 *   Copyright (C) April, 2011,  Hari Rangarajan 
 *   Contact: hariranga@users.sourceforge.net

 *   "ccglue" is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.

 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.

 *   You should have received a copy of the GNU General Public License
 *   along with "ccglue".  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef SYM_MGR_H
#define SYM_MGR_H
#include "typedefs.h"

struct sym_table;
typedef struct sym_table sym_table_t;

struct sym_entry;
typedef struct sym_entry sym_entry_t;

extern RC_t sym_table_init(sym_table_t** table);
extern sym_entry_t* sym_table_add(sym_table_t *table, uchar *sym_name);
extern sym_entry_t* sym_table_lookup(sym_table_t *table, uchar *sym_name);
extern sym_entry_t* sym_table_add_ext (sym_table_t *table, uchar *sym_name);
extern void sym_entry_mark_p(sym_entry_t* self, sym_entry_t *p);
extern void sym_entry_mark_c(sym_entry_t* self, sym_entry_t *p);
extern void sym_table_dump_hash(sym_table_t *table);
extern void sym_table_write_xref_tag_file(uchar* fname, sym_table_t *table);

#endif

